Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSSCEPConfiguration Class Reference

User configuration information for SCEP (Simple Certificate Enrollment Protocol). More...

`#import <CSSCEPConfiguration.h>`

Inherits NSObject.

## Properties
NSURL * | serverUrl
| A string value representing an URL of SCEP (Simple Certificate Enrollment Protocol) server. More...
NSURL * | HTTPProxy
| A string value representing HTTP proxy server that can be between the client and the SCEP server. More...
NSString * | certificateCommonName
| A string value representing Common name (CN) used in the subject of a SCEP certificate request. More...
NSString * | certificateDistinguishedName
| A string value representing the part of the certificate subject Distinguished Name (DN) that will be common to all clients. More...
NSString * | certificateCAIdentifier
| A string value representing an identifier for the CA certificate with which the certificate request is to be signed, if the server hosts multiple certificate authorities. More...
NSString * | challengePassword
| A string value representing the password to be included (if not empty) in the challengePassword attribute of an SCEP certificate request. More...
NSInteger | certificateKeyLength
| A numeric value representing the bit length of the public and private keys generated for the SCEP certificate request. More...
BOOL | requestWaitingApproval
| A boolean value representing the client behavior if the SCEP server indicates that the certificate request is pending manual approval. More...

## Detailed Description

User configuration information for SCEP (Simple Certificate Enrollment Protocol).

This protocol is used to retrieve Client Identity certificates from the enrollment server.

## Property Documentation

- (NSString*) certificateCAIdentifier
| read write nonatomic copy

A string value representing an identifier for the CA certificate with which the certificate request is to be signed, if the server hosts multiple certificate authorities.

- (NSString*) certificateCommonName
| read write nonatomic copy

A string value representing Common name (CN) used in the subject of a SCEP certificate request.

- (NSString*) certificateDistinguishedName
| read write nonatomic copy

A string value representing the part of the certificate subject Distinguished Name (DN) that will be common to all clients.

It must begin with a "/" and may include OU, O, L, ST, and C values. The default value is the empty string. It is recommended that a forward-slash character "/" is used as a separator between components, as commas have been found not to work with some servers.

- (NSInteger) certificateKeyLength
| read write nonatomic assign

A numeric value representing the bit length of the public and private keys generated for the SCEP certificate request.

- (NSString*) challengePassword
| read write nonatomic copy

A string value representing the password to be included (if not empty) in the challengePassword attribute of an SCEP certificate request.

- (NSURL*) HTTPProxy
| read write nonatomic copy

A string value representing HTTP proxy server that can be between the client and the SCEP server.

- (BOOL) requestWaitingApproval
| read write nonatomic assign

A boolean value representing the client behavior if the SCEP server indicates that the certificate request is pending manual approval.

If false then the SCEP server will be periodically polled in the background. Provide an indication that the certificate request is pending but do not prevent the application from being used. If false then the application is prevented from being used until a certificate is received or the request is rejected.

- (NSURL*) serverUrl
| read write nonatomic copy

A string value representing an URL of SCEP (Simple Certificate Enrollment Protocol) server.

This URL is used to download PKCS #12 file containing an identity certificate and its private key.

The documentation for this class was generated from the following file:

- CSSCEPConfiguration.h